package pl.kuku.myspringhelloworld;

import org.springframework.beans.BeansException;
import org.springframework.beans.factory.config.BeanPostProcessor;

public class MyBeanPostProcessor implements BeanPostProcessor {

    @Override
    public Object postProcessBeforeInitialization(Object o, String name) throws BeansException {
        System.out.println("postProcessBeforeInitialization is called with name=" + name + " and object=" + o);
        return o;
    }

    @Override
    public Object postProcessAfterInitialization(Object o, String name) throws BeansException {
        System.out.println("postProcessAfterInitialization is called with name=" + name + " and object=" + o);
        return o;
    }
    
}
